## radiusclient 0.3.1-12.1

=== debian/changelog ===
radiusclient (0.3.1-12.1) unstable; urgency=low

  * NMU
  * Add missing build-depends: libtool, re-run libtoolize, aclocal,
    autoconf, automake.  Closes: #120290.

 -- LaMont Jones <lamont@debian.org>  Thu, 27 Dec 2001 22:43:30 -0700

radiusclient (0.3.1-12) unstable; urgency=low

  * Added chap challange dict word. Patch by Steve Langasek.
  * Modifying the .so links in /usr/lib.
  * Updating the config.{sub|guess} files with libtoolize.
  * Fixing some lintian errors (out of date std ver, /etc/radiusclient/dict* as
    conf files).
  * Only call ldconfig if postinst is called with 'configure', and postrm is called
    with 'remove'.
    Closes: #115196, #115185, #104780

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 15 Nov 2001 08:21:14 +0100

radiusclient (0.3.1-11) unstable; urgency=low

  * Fixing disparities with Section entry. devel->admin.

 -- Turbo Fredriksson <turbo@debian.org>  Mon, 16 Apr 2001 14:43:25 +0200

radiusclient (0.3.1-10) unstable; urgency=low

  * NMU patch from Adrian Bunk <bunk@fs.tum.de>.
    - Updated config.guess and config.sub (needed for ARM).
      (Closes: #56898, #78152)
    - Added build dependencies.
    - Removed the obsolete dh_testversion call from debian/rules.
    - Added the missing #DEBHELPER# token to debian/libradius1.postinst.

 -- Turbo Fredriksson <turbo@debian.org>  Sun, 15 Apr 2001 16:12:12 +0200

radiusclient (0.3.1-9) unstable; urgency=low

  * Build with support for shadow passwords. Thanx to Peter Paluch <peterp@frcatel.fri.utc.sk>
    for finding and providing a patch.
    Closes: #72123

 -- Turbo Fredriksson <turbo@debian.org>  Fri,  1 Dec 2000 12:00:17 +0100

radiusclient (0.3.1-8) unstable; urgency=low

  * Configfiles should be protected, and will be treated like ordinary configfiles by dpkg.
  * Two new ATTRIBUTES added (number 47 and 46, Acct-Input-Packets and Acct-Output-Packets resp).

 -- Turbo Fredriksson <turbo@debian.org>  Wed,  5 Jul 2000 11:02:26 +0200

radiusclient (0.3.1-7) frozen unstable; urgency=low

  * No need to depend on libc6-dev for the package libradius1

 -- Turbo Fredriksson <turbo@debian.org>  Thu,  8 Jun 2000 10:07:12 +0200

radiusclient (0.3.1-6) unstable; urgency=low

  * Move the doc files to /usr/share/doc.
  * Include the radexample.c example file.
  * Upgraded standards-version to 3.1.1.1

 -- Turbo Fredriksson <turbo@debian.org>  Sat, 29 Jan 2000 03:54:02 +0100

radiusclient (0.3.1-5) unstable; urgency=low, closes=35031

  * Updated the dependecy on perl/perl5. Closes: #41519
  * Upgraded standards-version to 2.5.1
  * Reformatted the descriptions to fit on 80 chars/line.
  * Added the missing ${shlibs:Depends} where needed.
    Patch by Hertzog Raphal
  
 -- Turbo Fredriksson <turbo@debian.org>  Thu, 22 Jul 1999 12:17:30 +0200

radiusclient (0.3.1-4) unstable; urgency=low, closes=35031

  * Install the _CORRECT_ binaries, not the wrappers! *blush*

 -- Turbo Fredriksson <turbo@debian.org>  Wed, 24 Mar 1999 23:30:34 +0100

radiusclient (0.3.1-3) unstable; urgency=low

  * Rewrote the debian/rules so that it can be build properly
    on a non-intel platform to. closes: #32744.

 -- Turbo Fredriksson <turbo@debian.org>  Thu,  4 Feb 1999 18:10:38 +0100

radiusclient (0.3.1-2) unstable; urgency=low

  * Install some examples (scripts etc).
  * Install the HTML doc file.
  * Only install one copy of the upstream changelog and copyright.
  * Changed the short description of the lib/dev packages

 -- Turbo Fredriksson <turbo@debian.org>  Fri, 22 Jan 1999 10:55:50 +0100

radiusclient (0.3.1-1) unstable; urgency=low

  * New upstream version. Upstream changes:
      Added support for RFC compliant accounting request digest calculation.
      Added new attributes and value defines to radiusclient.h.
      Deleted an fclose at the wrong place (could lead to SIGSEGV).
      Add newlines when constructing message from Reply-Message attributes.
      Output warning message when --enable-radius-116 is enabled.

 -- Turbo Fredriksson <turbo@debian.org>  Fri, 22 Jan 1999 09:21:03 +0100

radiusclient (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Turbo Fredriksson <turbo@debian.org>  Fri, 15 Jan 1999 12:38:51 +0100
