=== debian/control ===
Source: radiusclient
Section: admin
Priority: extra
Maintainer: Turbo Fredriksson <turbo@debian.org>
Build-Depends: debhelper, libtool
Standards-Version: 3.5.2

Package: radiusclient1
Architecture: any
Section: admin
Depends: libradius1, perl5, ${shlibs:Depends}
Description: /bin/login replacement which uses the RADIUS protocol for authentication.
 Radiusclient is a /bin/login replacement  which gets called by a getty
 to log  in a user and  to setup the user's  login environment.  Normal
 login programs just  check the login name and  password which the user
 entered  against the local  password file  (/etc/passwd, /etc/shadow).
 In  contrast to  that Radiusclient  also uses  the RADIUS  protocol to
 authenticate the user.
 .
 This is the main binary archive.

Package: libradius1-dev
Architecture: any
Section: devel
Depends: libradius1, libc6-dev
Description: /bin/login replacement with RADIUS. Header file and link lib.
 Radiusclient is a /bin/login replacement  which gets called by a getty
 to log  in a user and  to setup the user's  login environment.  Normal
 login programs just  check the login name and  password which the user
 entered  against the local  password file  (/etc/passwd, /etc/shadow).
 In  contrast to  that Radiusclient  also uses  the RADIUS  protocol to
 authenticate the user.
 .
 This is the  development package, to be able  to develop programs that
 uses the RADIUS library.

Package: libradius1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: /bin/login replacement with RADIUS. Shared lib to used by programs.
 Radiusclient is a /bin/login replacement  which gets called by a getty
 to log  in a user and  to setup the user's  login environment.  Normal
 login programs just  check the login name and  password which the user
 entered against the local password file (/etc/passwd, /etc/shadow). In
 contrast  to  that  Radiusclient  also  uses the  RADIUS  protocol  to
 authenticate the user.
 .
 This is the libraries needed by any client needing the RADIUS protocol.
